import type { Token } from "../token";
import type { CheckAllowanceHook, ApproveTokenSpendHook, ApproveStatusHook } from "./types";
declare class TransactionError extends Error {
    constructor(txHash: string, message: string, cause?: Error);
}
declare class AllowanceError extends Error {
    constructor(owner: string, spender: string, token: Token, message: string, cause?: Error);
}
declare function useCheckAllowance(ethereum: any, chainId: number): CheckAllowanceHook;
declare function useApproveTokenSpend(ethereum: any, chainId: number): ApproveTokenSpendHook;
declare function useApproveStatus(ethereum: any, chainId: number): ApproveStatusHook;
export { TransactionError, AllowanceError, useApproveTokenSpend, useApproveStatus, useCheckAllowance };
